﻿:root {
    --book-text-color: #333333;
    --book-bg-dark: #17214f; /* 20% #2e2e52 37%*/
    --book-bg-dark90: #d7ddf4; /* #ebebe0 #d7ddf4*/
    --book-bg-dark65: #7587d7; /* #b8b894 used at deleted record popover make it dim*/
    --book-bg-dark50: #3953c6; /* #999966 */
    --book-bg-dark35: #263782; /* #6b6b47 */
    --book-bg-light: #f2f2f2; /* #efeff6 */
    --book-page-menu-bgcolor: #dedeed; /* <=Black 15%*/
    --book-top-menu-fontcolor: #262626; /* <=Black 15%*/
    --book-font-color: #c4cbee; /* <=blue 85% */ /*OLD: #f2f2f2;*/
    --book-btn-border-radius: 0.50rem;
    --bs-navbar-padding-y: 0.2rem;
    --book-activemenu-bg: #b3e3ff;
    --book-username-fontcolor: #b3e3ff;
}

.topMenuPaddingTop {
    /*py-1*/
    padding-top: 0.28rem !important;
    padding-bottom: 0.28rem !important;
}
/* line wTop Menu */
/* Top Menu b:5.2.3 Override*/
.topMenuPaddings {
    padding-left: 10px; /* 10 px*/
    padding-right: 6px; /* 6px */
}

.dropdown-item:hover, .dropdown-item:focus {
    color: var(--book-bg-dark90); /* blue */
    font-weight: bold;
    text-decoration: none;
    background-color: var(--book-bg-dark65);
}

.nav-item.show .nav-link {
    color: #c3ccef; /* #c3ccef var(--book-text-color);*/
    background-color: var(--book-bg-dark35);
    border-color: var(--bs-nav-tabs-link-active-border-color);
}

/*Bootstrap Overwrite Start*/

.nav-link {
    color: var(--book-bg-dark); /*#ffff00;*/
    padding: 0.5rem;
}
/*.navbar-nav Bootstrap Overwrite start*/

.navbar-nav .active > .nav-link {
    color: var(--book-bg-dark) !important;
}

.navbar-nav .active > .nav-link::after {
    color: var(--book-bg-dark) !important;
}

.bg-top-menu {
    background-color: var(--book-bg-dark);
    color: var(--book-font-color);
}

.color-top-menu {
    color: var(--book-font-color) !important;
    font-family: Arial;
    font-weight: bold;
}

/* Menu box shadow*/
/*@media screen and (min-width: 1024px) {
    .dropdown-menu {*/
        /* Book shade*/
        /*box-shadow: 7px 10px 5px #aaaaaa, 0px 10px 10px 1px #000;*/
        /*box-shadow: 7px 7px #999999;*/
        /*box-shadow: 10px 10px 5px #aaaaaa;*/
        /*box-shadow: 5px 10px 8px black, 5px 10px 8px gray;*/
        /*z-index: 1030;
    }
}*/

.dropdown-toggle::after {
    display: inline-block;
    color: var(--book-bg-dark90) !important;
    /* color: white !important;*/
    margin-left: 0.255em;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
    float: right;
    margin-top: 8px;
}

.dropdown-menu-dark {
    background: var(--book-page-menu-bgcolor);
    border-color: var(--book-bg-dark) !important;
    z-index: 10000;
}

.dropdown-item {
    color: var(--book-top-menu-fontcolor) !important;
}

.dropdown-menu a.dropdown-item {
    position: relative;
    display: block;
    padding: 6px 15px 6px 20px; /* 8px */
    color: var(--book-top-menu-fontcolor) !important;
    text-decoration: none !important;
    background-color: var(--book-page-menu-bgcolor);
    background-image: linear-gradient(to left, #11193b 3%, #bdbddb 3%);
    /*background-image: linear-gradient(to left, #1a6600 3%, #8cff66 3%);*/
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 0% 100%;
    transition: background-size 1s ease, color 1s ease;
}

.dropdown-menu a:hover {
    background-size: 100% 100%;
    color: var(--book-bg-dark) !important;
    font-weight: bold;
}

/*.dropdown.active {
    background: var(--book-bg-dark90);
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 0px;
    color: var(--book-bg-dark) !important;
    margin-left: 0.155em;*/ /* 0.255em; 04/02/2026 */
   /* vertical-align: 0.255em;*/
    /*content: "";
}*/


/*Active Menu Colour*/
.navbar-nav .nav-item.active > .nav-link {
    background: var(--book-activemenu-bg);
    border-radius: 6px;
    color: #000 !important;
}

@media (max-width: 768px) {
    /*.dropdown.active {
        background: var(--book-bg-dark90);
        border-top-left-radius: 15px;
        border-top-right-radius: 0px;
        border-bottom-left-radius: 15px;
        border-bottom-right-radius: 0px;
        color: var(--book-bg-dark) !important;
        margin-left: 0.255em;
        vertical-align: 0.255em;
        content: "";
    }*/

    .navbar-nav .nav-item.active > .nav-link {
        background: var(--book-activemenu-bg);
        border-radius: 6px;
        color: #000 !important;
    }    
}

/*New Badge Style Start*/
.menu-new-badge {
    background: red;
    color: #fff;
    font-size: 11px;
    padding: 2px 6px;
    border-radius: 12px;
    margin-left: 8px;
    font-weight: 600;
    display: none; /* hidden by default */
    animation: blinkNew 1.5s infinite;
}
/* blinking effect */
@keyframes blinkNew {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.3;
    }

    100% {
        opacity: 1;
    }
}
/*NewBadge Style End*/


/* Logo + user container Start*/
.logo-user-area {
    display: flex;
    align-items: center;
    padding: 10px 15px;
    margin-bottom: 10px;
    border-bottom: 1px solid rgba(255,255,255,0.15);
    background: #17214f;
}
/* Round logo circle */
.logo-circle {
    width: 75%;
    height: 75%;
    /*border-radius: 50%;*/
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #ffffff;
    margin-right: 10px;
}
    /* Logo image */
.logo-circle img {
    width: 100%;
    height: auto;
}
/* Username style */
.login-user-name {
    font-size: 1.10rem;
    font-weight: bold;
    color: var(--book-username-fontcolor);
}
/* Logo + user container Start*/

/* Side menu Start*/
@media (min-width:992px) {
    .sidebar-area {
        background: var(--book-bg-dark);
        min-height: 100vh;
    }

    .sidebar-area .navbar-nav {
        flex-direction: column;
        width: 100%;
    }
    /* Parent menu */
    .sidebar-area .nav-link {
        display: block;
        padding: 10px 18px;
    }

    .sidebar-area .nav-link {
        transition: all .2s ease;
    }

        .sidebar-area .nav-link:hover {
            padding-left: 22px;
        }

    .sidebar-area .dropdown-toggle::after {
        float: right;
        margin-top: 8px;
    }

    /* IMPORTANT FIX */
    .sidebar-area .dropdown-menu {
        position: static !important;
        transform: none !important;
        float: none;
        width: 100%;
        margin: 0;
    }

    /* submenu items */
    .sidebar-area .dropdown-item {
        padding: 8px 35px;
        white-space: normal;
    }
}
/*.sidebar-area .nav-item.active > .nav-link {
    background: var(--book-bg-dark90);
    border-right: 8px solid #e6e600;
    color: var(--book-top-menu-fontcolor) !important;
}*/

/* Side menu End*/

